Hi!
I am filing this here as the ticket module included with the COD distribution is not the same as the most recent version that is available for download. The version that you can download does not contain the ticket_reservation module, but the ticket module in the COD distribution does include the ticket_reservation module.


This screenshot of Meld is showing the new files. The left side is the ticket module I extracted from the COD distribution(7.x-1.0-beta4+53-dev). On the right is the current downloadable version from drupal.org of the ticket module(7.x-1.0-beta4).

Here is a comparison of the ticket.info file from the two versions.

So long story short if you currently want to go the route of enabling COD support feature modules you will need to download the COD distribution and the extract the version of the ticket module to meet dependencies.

I hope this helps someone else!
Frederick

Comments

frederickjh created an issue. See original summary.

japerry’s picture

That is correct, you should be using the HEAD version of ticket. We should probably make a new release for ticket.

frederickjh’s picture

Thanks for confirming that japerry.

However this is a non-issue for me now in my testing the COD Support modules are currently not a easy solution to add COD to a Drupal site. There are many more issues that a web developer will run into. So many more that I gave up and just installed the COD Distribution. It might be good for someone to run through a COD install this way to see what is needed to make it work.

God Bless!
Frederick